import { SvelteComponentTyped } from "svelte";
declare const firebaseui: typeof import('../interfaces/firebaseui');
import { type User } from 'firebase/auth';
import type { LanguageCode } from './languageCodes';
import type { AuthResult } from '../interfaces';
declare const __propDef: {
    props: {
        languageCode?: LanguageCode;
        signInWith?: {
            google?: boolean;
            facebook?: boolean;
            twitter?: boolean;
            github?: boolean;
            emailPassword?: boolean;
            emailPasswordless?: boolean;
            phone?: boolean;
            anonymous?: boolean;
        };
        tosUrl?: firebaseui.auth.Config['tosUrl'];
        privacyPolicyUrl?: firebaseui.auth.Config['privacyPolicyUrl'];
        signInSuccessUrl?: string;
        continueUrl?: string;
        forceSameDevice?: boolean;
    };
    events: {
        success: CustomEvent<string>;
        updateuserdata: CustomEvent<{
            user: User;
            isNewUser: boolean;
        }>;
        authresult: CustomEvent<AuthResult>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type FirebaseUiAuthProps = typeof __propDef.props;
export type FirebaseUiAuthEvents = typeof __propDef.events;
export type FirebaseUiAuthSlots = typeof __propDef.slots;
export default class FirebaseUiAuth extends SvelteComponentTyped<FirebaseUiAuthProps, FirebaseUiAuthEvents, FirebaseUiAuthSlots> {
}
export {};
