import { type Unsubscriber } from 'svelte/store';
import { type User } from 'firebase/auth';
export declare const authState: import("svelte/store").Writable<User>;
/**
 * Subscribes to current Firebase user, pulls their data from the users collection, caches it to local storage as well as sets a cookie to allow for server-side rendering (not authenticated routes, just basic UI stuff like a name in a header). It also denotes their visit as a `lastVisit` timestamp in Firestore. */
export declare function createUserStore<T>({ userKey, log }: {
    userKey?: string;
    log?: boolean;
}): {
    subscribe: (this: void, run: import("svelte/store").Subscriber<T>, invalidate?: (value?: T) => void) => Unsubscriber;
};
export declare const logOut: () => Promise<void>;
